@-webkit-keyframes sidebar_fadeIn__1gMfv {
    0% {
        visibility: hidden !important;
        opacity: var(--opacity-0)
    }

    100% {
        visibility: visible !important;
        opacity: var(--opacity-10)
    }
}

@keyframes sidebar_fadeIn__1gMfv {
    0% {
        visibility: hidden !important;
        opacity: var(--opacity-0)
    }

    100% {
        visibility: visible !important;
        opacity: var(--opacity-10)
    }
}

@-webkit-keyframes sidebar_fadeOut__1ZnmD {
    0% {
        visibility: visible !important;
        opacity: var(--opacity-10)
    }

    100% {
        visibility: hidden !important;
        opacity: var(--opacity-0)
    }
}

@keyframes sidebar_fadeOut__1ZnmD {
    0% {
        visibility: visible !important;
        opacity: var(--opacity-10)
    }

    100% {
        visibility: hidden !important;
        opacity: var(--opacity-0)
    }
}

.sidebar_sidebar__2_gw0 {
    visibility: hidden !important;
    -webkit-animation-name: sidebar_fadeOut__1ZnmD;
    animation-name: sidebar_fadeOut__1ZnmD;
    -webkit-animation-iteration-count: 1;
    animation-iteration-count: 1;
    -webkit-animation-duration: var(--transition-faster);
    animation-duration: var(--transition-faster);
    -webkit-animation-delay: 0s;
    animation-delay: 0s;
    -webkit-animation-timing-function: ease;
    animation-timing-function: ease;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    width: 400px;
    position: absolute;
    top: 0;
    height: 100%;
    -webkit-transform: translateX(-100%);
    transform: translateX(-100%);
    -webkit-transition: -webkit-transform var(--transition-standart) var(--cubic-ease-out);
    transition: -webkit-transform var(--transition-standart) var(--cubic-ease-out);
    transition: transform var(--transition-standart) var(--cubic-ease-out);
    transition: transform var(--transition-standart) var(--cubic-ease-out), -webkit-transform var(--transition-standart) var(--cubic-ease-out);
    z-index: var(--zindex-100)
}

.sidebar_sidebar__2_gw0.sidebar_open__1WEhL {
    -webkit-animation-name: sidebar_fadeIn__1gMfv;
    animation-name: sidebar_fadeIn__1gMfv;
    -webkit-animation-iteration-count: 1;
    animation-iteration-count: 1;
    -webkit-animation-duration: var(--transition-faster);
    animation-duration: var(--transition-faster);
    -webkit-animation-delay: 0s;
    animation-delay: 0s;
    -webkit-animation-timing-function: ease;
    animation-timing-function: ease;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden
}

@media (max-width: 767px) and (orientation: portrait),
(max-width: 960px) and (orientation: landscape) and (max-height: 500px) {
    .sidebar_sidebar__2_gw0 {
        width: 320px;
        -webkit-transform: translateX(0);
        transform: translateX(0);
        z-index: var(--zindex-150)
    }

    .sidebar_sidebar__2_gw0.sidebar_left__3OpQb {
        left: 0
    }

    .sidebar_sidebar__2_gw0.sidebar_right__2An_2 {
        -webkit-transform: translateX(0);
        transform: translateX(0)
    }
}

.sidebar_left__3OpQb {
    left: 100%
}

.sidebar_right__2An_2 {
    right: 0;
    -webkit-transform: translateX(100%);
    transform: translateX(100%)
}

.sidebar_right__2An_2 .sidebar_content__1A6L0 {
    border-right: 0;
    border-left: var(--border-width-xs) solid var(--color-stroke-divider)
}

.sidebar_open__1WEhL {
    -webkit-transform: translateX(0);
    transform: translateX(0);
    visibility: visible !important
}

.sidebar_content__1A6L0 {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    background-color: var(--color-background-surface);
    border-right: var(--border-width-xs) solid var(--color-stroke-divider)
}

.sidebar_inner__1xdWP {
    position: relative;
    width: 100%;
    -ms-flex-preferred-size: 100%;
    flex-basis: 100%;
    -ms-flex-positive: 10;
    flex-grow: 10;
    overflow-x: hidden
}

.sidebar_inner__1xdWP.sidebar_container__20UfV {
    overflow-y: scroll
}

.sidebar_header__kcEML {
    font: var(--regular-m);
    min-height: var(--height-lg-s);
    padding: var(--offset-sm-l) var(--offset-lg-s) var(--offset-sm-l) var(--offset-sm-l);
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    position: relative;
    color: var(--color-text-primary)
}

[slot=sidebar-title] {
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden
}

.sidebar_close__ZMIe5 {
    position: absolute;
    padding: var(--offset-sm-l);
    right: 0;
    top: 0;
    color: var(--color-icon-secondary-active);
    cursor: pointer;
    -webkit-transition: color var(--transition-faster) var(--cubic-ease-out);
    transition: color var(--transition-faster) var(--cubic-ease-out)
}

.sidebar_close__ZMIe5:hover {
    color: var(--color-icon-secondary-highlight)
}